# Specfile for perfwriter, Copyright 2005 Centeris Corporation

#
#  The contents of this file are subject to the terms of the
#  Common Development and Distribution License, Version 1.0 only
#  (the "License").  You may not use this file except in compliance
#  with the License.
# 
#  You can obtain a copy of the license at 
#  http://www.opensource.org/licenses/cddl1.php
# 
#  When distributing Covered Code, include this CDDL HEADER in each
#  file and include the original License file at src/license.txt.
#  If applicable, add the following below this CDDL HEADER, with the
#  fields enclosed by brackets "[ ]" replaced with your own identifying
#  information: Portions Copyright [yyyy] [name of copyright owner]
# 

#  Copyright (c) 2005 by Centeris, Inc.  All rights reserved.
#  Use is subject to license terms.
#  Initial Developer updates, news, and information may be found at 
#  http://sourceforge.net/projects/likewiseopenagt
#


URL:       http://www.centeris.com
Name:      evtlog
Group:     System/Monitoring
Summary:   Likewise Open Event Log Agents
Version:   1.0.31415
Release:   1
Requires:  perl-BerkeleyDB
Copyright: 2005, Centeris Corporation
BuildRoot: /tmp/evtlog-rpmbuild

# These 2 little variables are incredibly important because they force
# the construction of our rpm in our current directory by pointing
# RPM_BUILD_ROOT to our current directory and having the rpm created
# in our current directory.
#
# mess with them at your peril

%define _builddir .
%define _rpmdir   .

%description

%install
install -d                                             $RPM_BUILD_ROOT/usr/share/{likewise/bin/Centeris,centeris/data/windows/system32,likewise/lib}
install -d                                             $RPM_BUILD_ROOT/etc/init.d
install ../Misc/Init/rc.status                         $RPM_BUILD_ROOT/usr/share/likewise/lib
install EventLogs.pm                                 $RPM_BUILD_ROOT/usr/share/likewise/bin/Centeris
install {evtsyslog.pl,evtweblog.pl}          $RPM_BUILD_ROOT/usr/share/likewise/bin
install ../../common/MessageFile/likewisemsg.dll       $RPM_BUILD_ROOT/usr/share/centeris/data/windows/system32/
install {likewise-evtlogd} $RPM_BUILD_ROOT/etc/init.d

%clean
rm -rf                                                 $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
/usr/share/likewise/bin/Centeris/EventLogs.pm
/usr/share/likewise/bin/evtsyslog.pl
/usr/share/likewise/data/windows/system32/likewisemsg.dll
/etc/init.d/likewise-evtlogd
# required for our init.d scripts on rhel4, already exists on SuSE
/usr/share/likewise/lib/rc.status

%changelog
* Fri Jul 29 2005 John L. Utz III <jutz@jutz01> 
- Initial build.

