;//
;//	The contents of this file are subject to the terms of the
;//	Common Development and Distribution License, Version 1.0 only
;//	(the "License").  You may not use this file except in compliance
;//	with the License.
;//
;//	You can obtain a copy of the license at 
;//	http://www.opensource.org/licenses/cddl1.php
;//
;//	When distributing Covered Code, include this CDDL HEADER in each
;//	file and include the original License file at src/license.txt.
;//	If applicable, add the following below this CDDL HEADER, with the
;//	fields enclosed by brackets "[ ]" replaced with your own identifying
;//	information: Portions Copyright [yyyy] [name of copyright owner]
;//
;//
;//	Copyright (c) 2005 by Centeris, Inc.  All rights reserved.
;//	Use is subject to license terms.
;//	Initial Developer updates, news, and information may be found at 
;//	http://sourceforge.net/projects/likewiseopenagt
;//

SeverityNames=(Success=0x0:STATUS_SEVERITY_SUCCESS
               Informational=0x1:STATUS_SEVERITY_INFORMATIONAL
               Warning=0x2:STATUS_SEVERITY_WARNING
               Error=0x3:STATUS_SEVERITY_ERROR
              )

FacilityNames=(System=0x0:FACILITY_SYSTEM
               Runtime=0x2:FACILITY_RUNTIME
               Stubs=0x3:FACILITY_STUBS
               Io=0x4:FACILITY_IO_ERROR_CODE
              )


;//
;// TODO: define some real category values
;//

MessageIdTypedef=WORD

MessageId=0x1
SymbolicName=CAT_1
Language=English
Category 1
.

MessageId=0x2
SymbolicName=CAT_2
Language=English
Category 2
.

MessageId=0x3
SymbolicName=CAT_3
Language=English
Category 3
.

;//
;// Event IDs
;//

MessageIdTypedef=DWORD

;//
;// Define some specific id's for known subsystems
;//

;//
;// SSHD - Base 100
;//

MessageId=100
Severity=Success
Facility=System
SymbolicName=SSHD_MESSAGE_100
Language=English
%1
.

MessageId=101
Severity=Success
Facility=System
SymbolicName=SSHD_MESSAGE_101
Language=English
%1 %2
.

MessageId=102
Severity=Success
Facility=System
SymbolicName=SSHD_MESSAGE_102
Language=English
%1 %2
.

MessageId=103
Severity=Success
Facility=System
SymbolicName=SSHD_MESSAGE_103
Language=English
%1 %2
.

MessageId=104
Severity=Success
Facility=System
SymbolicName=SSHD_MESSAGE_104
Language=English
%1 %2
.

;//
;// CRON - Base 200
;//

MessageId=200
Severity=Success
Facility=System
SymbolicName=CRON_MESSAGE_200
Language=English
%1 %2 %3
.

;//
;// SMBD - Base 300
;//

MessageId=300
Severity=Success
Facility=System
SymbolicName=SMBD_MESSAGE_300
Language=English
%1 %2
.

;//
;// SYSLOGD - Base 900
;//

MessageId=900
Severity=Success
Facility=System
SymbolicName=SYSLOGD_MESSAGE_900
Language=English
%1 %2
.

;//
;// Define some generic ranges for Success, Informational, Warning and Error messages
;//

MessageId=1000
Severity=Success
Facility=System
SymbolicName=MESSAGE1000_SUCCESS
Language=English
%1
.

