Imports System
Imports System.Resources
Imports System.Runtime.InteropServices
Imports System.Threading
Imports System.Globalization

Imports Ironring.Management.MMC

<SnapinIn("VB.NET Snapin", _
"Company Name", _
"1.0.0.0"), _
ProgId("MMCVBNET.SampleSnapin"), _
Guid("7CF9023C-38E4-44b8-9F1E-BBA2E8A4F411")> _
Public Class SampleSnapin
    Inherits SnapinBase

#Region "Private members"
    Private m_SharedResultViewImages As New ImageList

    'Private intToolbarImage As Integer = 0
    Private intOpenFolderImage As Integer = 0
    Private intCloseFolderImage As Integer = 0
#End Region

#Region "Default ctor"
    Sub New()
        'Add images
        InitScopeViewImages()
        InitResultViewImages()

        'Add buttons to the toolbar
        'InitToolbar()

        'RootNode initialization
        InitNodes()
    End Sub
#End Region

#Region "MMC SnapIn Init"
#Region "Images"
    'add images to the global snapin scope image collection
    Sub InitScopeViewImages()
        intCloseFolderImage = AddImage("")
        intOpenFolderImage = AddImage("")
        AddImage("IntelligentDevices.MMC.Open.ico")
        AddImage("IntelligentDevices.MMC.Closed.ico")
        AddImage("IntelligentDevices.MMC.snapin.Ico")
    End Sub
    ' populate the node result view collection
    Sub InitResultViewImages()
        m_SharedResultViewImages.Add("")
        m_SharedResultViewImages.Add("")
        m_SharedResultViewImages.Add("IntelligentDevices.MMC.Open.ico")
        m_SharedResultViewImages.Add("IntelligentDevices.MMC.Closed.ico")
        m_SharedResultViewImages.Add("IntelligentDevices.MMC.Happy.ico")
        m_SharedResultViewImages.Add("IntelligentDevices.MMC.snapin.Ico")

        ' set the default result view image control 
        BaseNode.DefaultResultPaneImages = m_SharedResultViewImages
    End Sub
#End Region

#Region "Toolbar"
    'Sub InitToolbar()
    '    intToolbarImage = AddImage("IntelligentDevices.MMC.SuperToolBar.bmp", Color.Teal)
    '    MyBase.m_Component = New Component(Me)
    '    MyBase.m_Component.ToolbarImageIndex = intToolbarImage

    '    Dim btns() As MMCBUTTON = { _
    '                                New MMCBUTTON(0, 0, "test", "test") _
    '                                , New MMCBUTTON(1, 1, "test", "test") _
    '                                , New MMCBUTTON(2, 2, "test", "test") _
    '                                , New MMCBUTTON(0, 3, TBSTATE.ENABLED, TBSTYLE.SEP, "test", "test") _
    '                                , New MMCBUTTON(3, 4, "test", "test") _
    '                                }

    '    MyBase.m_Component.ToolbarButtons = btns
    'End Sub
#End Region
#End Region

#Region "Init Nodes"
    Sub InitNodes()
        ' create my base node
        RootNode = New RootNode(Me)
    End Sub
#End Region

End Class