#!/usr/bin/perl
# The contents of this file are subject to the terms of the
# Common Development and Distribution License, Version 1.0 only
# (the "License").  You may not use this file except in compliance
# with the License.
#
# You can obtain a copy of the license at 
# http://www.opensource.org/licenses/cddl1.php
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the original License file at src/license.txt.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[ ]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]

# Copyright (c) 2005 by Centeris, Inc.  All rights reserved.
# Use is subject to license terms.
# Initial Developer updates, news, and information may be found at 
# http://sourceforge.net/projects/likewiseopenagt




use SOAP::Lite; # +trace;
use HTML::Entities;

$hostname = $ARGV[0];

if ($hostname eq '') {
    print "Usage perl $0 <hostname>\n";
    exit -1;
}

$s = SOAP::Lite->service("http://$hostname:9106/SystemInfo?WSDL");

print decode_entities($s->getDeviceTree());
