using System;
using Ironring.Management.MMC;
using System.Runtime.InteropServices;

namespace MMCTest
{
	/// <summary>
	/// TestAbout is an About class derivative that provides MMC with info about our snapin.
	/// It requires the AboutSnapin attribute to associate it with a snapin base class.
	/// Provide enbedded image names to override the defaults.
	/// </summary>
	[
		Guid("836106B4-5D4E-4142-B261-344EA1D7DD61"),
		AboutSnapin(typeof(TestSnapin))
	]
	public class TestAbout : About
	{
		public TestAbout()
		{
			Description = "This snapin demonstrates the awesome beauty of the Ironring MMC Library!";

            MainIconName = "MMCTest.images.Main.ico";
            SmallOpenImageName = "MMCTest.images.Open.ico";
            SmallClosedImageName = "MMCTest.images.Closed.ico";
            LargeImageName = "MMCTest.images.Main.ico";
		}
	}
}
