'''-----------------------------------------------------------------------------
''' Project		: HostManagement
''' Class		: HostManagementAbout
'''
''' Copyright (C) 2003, Microsoft Corporation
''' 
''' Note:	
'''	This software using the 3rd party library for MMC (www.ironringsoftware.com)
'''-----------------------------------------------------------------------------
''' <summary>
''' TestAbout is an About class derivative that provides MMC with info about our snapin.
''' It requires the AboutSnapin attribute to associate it with a snapin base class.
''' Provide enbedded image names to override the defaults.
''' </summary>
''' <remarks></remarks>
''' <history>
''' 	[Kachalkov] 	26.09.2003	Created
''' </history>
'''-----------------------------------------------------------------------------

Imports System
Imports System.Runtime.InteropServices

Imports Ironring.Management.MMC


<Guid("A969548A-231B-41c3-B82C-F60B936040F9"), _
AboutSnapin(GetType(MMCVBNET.SampleSnapin))> _
Public Class SampleSnapinAbout
    Inherits About

    Sub New()
        Description = "Sample of VB.NET MMC Snapin"

        MainIconName = "MMCVBNET.Main.ico"
        SmallOpenImageName = "MMCVBNET.Open.ico"
        SmallClosedImageName = "MMCVBNET.Closed.ico"
        LargeImageName = "MMCVBNET.Main.ico"
    End Sub

End Class
